# $Revision: 1.10 $, $Date: 2007/01/01 22:21:45 $
Summary:	Simple IVR answering machine for the H.323 protocol
Summary(pl):	Prosta automatyczna sekretarka dla protokou H.323
Name:		openivr
Version:	1.13.5
%define fver	%(echo %{version} | tr . _)
Release:	5
License:	MPL 1.0
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/openh323/%{name}-v%{fver}-src.tar.gz
# Source0-md5:	c663d088560004af53ad89868a3aa0ea
Patch0:		%{name}-cvs.patch
Patch1:		%{name}-mak_files.patch
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= 1.18.0
BuildRequires:	pwlib-devel >= 1.10.0
%requires_eq	openh323
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenIVR is a simple IVR answering machine for the H.323 protocol that
uses the VXML scripting protocol. It uses the OpenH323 protocol stack
and can use Festival (http://www.festvox.org/).

%description -l pl
OpenIVR to prosta automatyczna sekretarka dla protokou H.323,
uywajca protokou skryptowego VXML. Uywa stosu protokou OpenH323 i
moe uywa programu Festival (http://www.festvox.org/).

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR

%{__make} %{?debug:debug}%{!?debug:opt}shared \
	CXX="%{__cxx}" \
	OPTCCFLAGS="%{rpmcflags} -fno-exceptions %{!?debug:-DNDEBUG}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install obj_*/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openivr.spec,v $
Revision 1.10  2007/01/01 22:21:45  glen
- rel 5 (new pwlib soname)

Revision 1.9  2006/08/29 23:51:15  glen
- rel 4

Revision 1.8.2.1  2006/05/18 16:28:28  baggins
- rel 3
- rebuild with openh323 1.18.0 and pwlib 1.10.0

Revision 1.8  2006/01/17 23:59:21  baggins
- release 2
- rebuild with openldap 2.3

Revision 1.7  2005/03/27 18:14:47  qboosh
- updated to 1.13.5, added cvs patch - now builds with openh323 1.15.3

Revision 1.6  2004/04/13 20:23:48  adamg
- release 2 to rebuild with new openh323-1.13.5 and pwlib-1.6.6

Revision 1.5  2004/04/04 10:26:57  qboosh
- updated to 1.13.4

Revision 1.4  2003/07/13 00:42:30  qboosh
- updated mak_files patch for openh323 1.12.0; release 2

Revision 1.3  2003/05/28 13:00:05  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:51:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/19 14:32:11  qboosh
- new (SEGV - problem with pwlib?)
